<script>
    {
        methods: {
            click: function () {
                window.open(this.tile.value.url, this.tile.value.newTab ? '_blank' : '_self');
            }
        },
        mounted: function () {
            this.eventBus.$on('click', this.click.bind(this));
        },
        destroyed: function () {
            this.eventBus.$off('click');
        }
    }
</script>